[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Help debugging package build failure



+++ seth vidal [23/07/08 11:30 -0400]:
On Wed, 2008-07-23 at 11:27 -0400, Brenton Leanhardt wrote:
I'm fairly new to the koji build system and a package I've been
scratch building started failing today.  You can see the details here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=734161

 From the root.log the most interesting lines are:

DEBUG backend.py:490:  /usr/bin/yum --installroot
/var/lib/mock/dist-f9-build-227923-40553/root/  resolvedep  'publican'
DEBUG util.py:272:  Executing command: /usr/bin/yum --installroot
/var/lib/mock/dist-f9-build-227923-40553/root/  resolvedep  'publican'
DEBUG util.py:250:  0:publican-0.33-1.fc9.noarch
DEBUG backend.py:490:  /usr/bin/yum --installroot
/var/lib/mock/dist-f9-build-227923-40553/root/  install  'publican'
DEBUG util.py:272:  Executing command: /usr/bin/yum --installroot
/var/lib/mock/dist-f9-build-227923-40553/root/  install  'publican'
DEBUG util.py:250:  Error: Missing Dependency:
libakonadiprotocolinternals.so.0 is needed by package kdepimlibs

What I can't understand is what is pulling in kdepimlibs.  The spec
file only states:

BuildRequires:  publican
Requires:       httpd


I would guess it is coming from publican's dep on

yum deplist publican
 dependency: /usr/bin/xml2pot
provider: kdesdk-utils.i386
-sv

I don't understand how I can build the RPM locally then.  My local
build machine is running Fedora 9.

publican-0.33-1.fc9.noarch
kdesdk-utils-4.0.5-3.fc9.i386

[root dhcp226-35 genome-docs]# rpm -qi kdepimlibs
package kdepimlibs is not installed

--Brenton


--
fedora-devel-list mailing list
fedora-devel-list redhat com
https://www.redhat.com/mailman/listinfo/fedora-devel-list


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]